PLplot: wxPLDevBase Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
wxPLDevBase Class Reference

`#include "wxwidgets.h"`

Inheritance diagram for wxPLDevBase:

## Public Member Functions
| wxPLDevBase (int bcknd)
virtual | ~wxPLDevBase (void)
virtual void | DrawLine (short x1a, short y1a, short x2a, short y2a)=0
virtual void | DrawPolyline (short *xa, short *ya, PLINT npts)=0
virtual void | ClearBackground (PLINT bgr, PLINT bgg, PLINT bgb, PLINT x1=-1, PLINT y1=-1, PLINT x2=-1, PLINT y2=-1)=0
virtual void | FillPolygon (PLStream *pls)=0
virtual void | BlitRectangle (wxDC *dc, int vX, int vY, int vW, int vH)=0
void | AddtoClipRegion (int x1, int y1, int x2, int y2)
virtual void | CreateCanvas ()=0
virtual void | SetWidth (PLStream *pls)=0
virtual void | SetColor0 (PLStream *pls)=0
virtual void | SetColor1 (PLStream *pls)=0
virtual void | SetExternalBuffer (void *buffer)=0
virtual void | ProcessString (PLStream *pls, EscText *args)=0
virtual void | PSDrawText (PLUNICODE *ucs4, int ucs4Len, bool drawText)
virtual void | PSDrawTextToDC (char *utf8_string, bool drawText)=0
virtual void | PSSetFont (PLUNICODE fci)=0

## Public Attributes
const int | backend
bool | ready
bool | ownGUI
bool | showGUI
bool | waiting
bool | resizing
bool | exit
int | comcount
wxPLplotFrame * | m_frame
PLINT | xpos
PLINT | ypos
PLINT | width
PLINT | height
PLINT | bm_width
PLINT | bm_height
PLINT | xmin
PLINT | xmax
PLINT | ymin
PLINT | ymax
PLFLT | scalex
PLFLT | scaley
bool | plstate_width
bool | plstate_color0
bool | plstate_color1
PLGraphicsIn | gin
int | locate_mode
bool | draw_xhair
int | clipminx
int | clipmaxx
int | clipminy
int | clipmaxy
bool | newclipregion
int | freetype
int | smooth_text
const char ** | devDesc
const char ** | devName
int | ndev
wxBitmapType | bitmapType
wxFont * | m_font
bool | underlined
double | fontSize
double | fontScale
wxCoord | textWidth
wxCoord | textHeight
wxCoord | textDescent
wxCoord | textLeading
PLUNICODE | fci
wxCoord | superscriptHeight
wxCoord | subscriptDepth
double | lineSpacing
double | yOffset
PLINT | posX
PLINT | posY
PLFLT | rotation
PLFLT | cos_rot
PLFLT | sin_rot
PLFLT | shear
PLFLT | cos_shear
PLFLT | sin_shear
PLFLT | stride

## Static Public Attributes
static const int | max_string_length = 500

## Detailed Description

Definition at line 85 of file wxwidgets.h.

## Constructor & Destructor Documentation

wxPLDevBase::wxPLDevBase | ( | int | bcknd | ) |

Definition at line 137 of file wxwidgets.cpp.

wxPLDevBase::~wxPLDevBase | ( | void |  | ) |
| virtual

Definition at line 184 of file wxwidgets.cpp.

## Member Function Documentation

void wxPLDevBase::AddtoClipRegion | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |

Definition at line 193 of file wxwidgets.cpp.

virtual void wxPLDevBase::BlitRectangle | ( | wxDC * | dc,
|  | int | vX,
|  | int | vY,
|  | int | vW,
|  | int | vH
| ) |  |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::ClearBackground | ( | PLINT | bgr,
|  | PLINT | bgg,
|  | PLINT | bgb,
|  | PLINT | x1 = `-1`,
|  | PLINT | y1 = `-1`,
|  | PLINT | x2 = `-1`,
|  | PLINT | y2 = `-1`
| ) |  |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::CreateCanvas | ( |  | ) |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::DrawLine | ( | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::DrawPolyline | ( | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::FillPolygon | ( | PLStream * | pls | ) |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::ProcessString | ( | PLStream * | pls,
|  | EscText * | args
| ) |  |
| pure virtual

Implemented in wxPLDevDC.

void wxPLDevBase::PSDrawText | ( | PLUNICODE * | ucs4,
|  | int | ucs4Len,
|  | bool | drawText
| ) |  |
| virtual

Definition at line 227 of file wxwidgets.cpp.

virtual void wxPLDevBase::PSDrawTextToDC | ( | char * | utf8_string,
|  | bool | drawText
| ) |  |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::PSSetFont | ( | PLUNICODE | fci | ) |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::SetColor0 | ( | PLStream * | pls | ) |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::SetColor1 | ( | PLStream * | pls | ) |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::SetExternalBuffer | ( | void * | buffer | ) |
| pure virtual

Implemented in wxPLDevDC.

virtual void wxPLDevBase::SetWidth | ( | PLStream * | pls | ) |
| pure virtual

Implemented in wxPLDevDC.

## Member Data Documentation

const int wxPLDevBase::backend

Definition at line 114 of file wxwidgets.h.

wxBitmapType wxPLDevBase::bitmapType

Definition at line 159 of file wxwidgets.h.

PLINT wxPLDevBase::bm_height

Definition at line 129 of file wxwidgets.h.

PLINT wxPLDevBase::bm_width

Definition at line 128 of file wxwidgets.h.

int wxPLDevBase::clipmaxx

Definition at line 148 of file wxwidgets.h.

int wxPLDevBase::clipmaxy

Definition at line 149 of file wxwidgets.h.

int wxPLDevBase::clipminx

Definition at line 148 of file wxwidgets.h.

int wxPLDevBase::clipminy

Definition at line 149 of file wxwidgets.h.

int wxPLDevBase::comcount

Definition at line 121 of file wxwidgets.h.

PLFLT wxPLDevBase::cos_rot

Definition at line 174 of file wxwidgets.h.

PLFLT wxPLDevBase::cos_shear

Definition at line 175 of file wxwidgets.h.

const char** wxPLDevBase::devDesc

Definition at line 156 of file wxwidgets.h.

const char** wxPLDevBase::devName

Definition at line 157 of file wxwidgets.h.

bool wxPLDevBase::draw_xhair

Definition at line 145 of file wxwidgets.h.

bool wxPLDevBase::exit

Definition at line 120 of file wxwidgets.h.

PLUNICODE wxPLDevBase::fci

Definition at line 168 of file wxwidgets.h.

double wxPLDevBase::fontScale

Definition at line 166 of file wxwidgets.h.

double wxPLDevBase::fontSize

Definition at line 165 of file wxwidgets.h.

int wxPLDevBase::freetype

Definition at line 153 of file wxwidgets.h.

PLGraphicsIn wxPLDevBase::gin

Definition at line 143 of file wxwidgets.h.

PLINT wxPLDevBase::height

Definition at line 127 of file wxwidgets.h.

double wxPLDevBase::lineSpacing

Definition at line 171 of file wxwidgets.h.

int wxPLDevBase::locate_mode

Definition at line 144 of file wxwidgets.h.

wxFont* wxPLDevBase::m_font

Definition at line 163 of file wxwidgets.h.

wxPLplotFrame* wxPLDevBase::m_frame

Definition at line 123 of file wxwidgets.h.

const int wxPLDevBase::max_string_length = 500
| static

Definition at line 162 of file wxwidgets.h.

int wxPLDevBase::ndev

Definition at line 158 of file wxwidgets.h.

bool wxPLDevBase::newclipregion

Definition at line 150 of file wxwidgets.h.

bool wxPLDevBase::ownGUI

Definition at line 116 of file wxwidgets.h.

bool wxPLDevBase::plstate_color0

Definition at line 140 of file wxwidgets.h.

bool wxPLDevBase::plstate_color1

Definition at line 141 of file wxwidgets.h.

bool wxPLDevBase::plstate_width

Definition at line 139 of file wxwidgets.h.

PLINT wxPLDevBase::posX

Definition at line 173 of file wxwidgets.h.

PLINT wxPLDevBase::posY

Definition at line 173 of file wxwidgets.h.

bool wxPLDevBase::ready

Definition at line 115 of file wxwidgets.h.

bool wxPLDevBase::resizing

Definition at line 119 of file wxwidgets.h.

PLFLT wxPLDevBase::rotation

Definition at line 174 of file wxwidgets.h.

PLFLT wxPLDevBase::scalex

Definition at line 136 of file wxwidgets.h.

PLFLT wxPLDevBase::scaley

Definition at line 137 of file wxwidgets.h.

PLFLT wxPLDevBase::shear

Definition at line 175 of file wxwidgets.h.

bool wxPLDevBase::showGUI

Definition at line 117 of file wxwidgets.h.

PLFLT wxPLDevBase::sin_rot

Definition at line 174 of file wxwidgets.h.

PLFLT wxPLDevBase::sin_shear

Definition at line 175 of file wxwidgets.h.

int wxPLDevBase::smooth_text

Definition at line 154 of file wxwidgets.h.

PLFLT wxPLDevBase::stride

Definition at line 176 of file wxwidgets.h.

wxCoord wxPLDevBase::subscriptDepth

Definition at line 170 of file wxwidgets.h.

wxCoord wxPLDevBase::superscriptHeight

Definition at line 170 of file wxwidgets.h.

wxCoord wxPLDevBase::textDescent

Definition at line 167 of file wxwidgets.h.

wxCoord wxPLDevBase::textHeight

Definition at line 167 of file wxwidgets.h.

wxCoord wxPLDevBase::textLeading

Definition at line 167 of file wxwidgets.h.

wxCoord wxPLDevBase::textWidth

Definition at line 167 of file wxwidgets.h.

bool wxPLDevBase::underlined

Definition at line 164 of file wxwidgets.h.

bool wxPLDevBase::waiting

Definition at line 118 of file wxwidgets.h.

PLINT wxPLDevBase::width

Definition at line 126 of file wxwidgets.h.

PLINT wxPLDevBase::xmax

Definition at line 132 of file wxwidgets.h.

PLINT wxPLDevBase::xmin

Definition at line 131 of file wxwidgets.h.

PLINT wxPLDevBase::xpos

Definition at line 124 of file wxwidgets.h.

PLINT wxPLDevBase::ymax

Definition at line 134 of file wxwidgets.h.

PLINT wxPLDevBase::ymin

Definition at line 133 of file wxwidgets.h.

double wxPLDevBase::yOffset

Definition at line 172 of file wxwidgets.h.

PLINT wxPLDevBase::ypos

Definition at line 125 of file wxwidgets.h.

The documentation for this class was generated from the following files:

- wxwidgets.h
- wxwidgets.cpp